Documentation Index

Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt

Use this file to discover all available pages before exploring further.

Update Settings in Bulk

Prev Next
Post
/api/v1/settings

Updates multiple private workspace settings in a single request.

Permission required: edit-privileged-setting

Changelog

Version Description
8.6.0 Added
Header parameters
X-User-Id
stringRequired

The user ID.

ExampleCkCPNctrgCDfmWLqC
X-Auth-Token
stringRequired

The authentication token.

Example1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE
x-2fa-code
string

The 2FA code. This parameter is required if 2FA is enabled in your workspace. See the Introduction to Two-Factor Authentication document for details.

x-2fa-method
string

Enter the method with which you get the 2FA code. It can be email, totp, or password. This parameter is required if 2FA is enabled in your workspace.

Body parameters
Example
{
  "settings": [
    {
      "_id": "API_Allow_Infinite_Count",
      "value": false
    },
    {
      "_id": "API_CORS_Origin",
      "value": "https://example.com"
    }
  ]
}
Expand All
object
settings
Array of object Required

The list of settings to update.

Min items1
object
_id
string Required

The unique ID of the setting.

value

The value to set for the setting. The accepted type depends on the setting.

Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
400

Bad Request

Invalid Params
{
  "success": false,
  "error": "must have required property 'settings' [invalid-params]",
  "errorType": "invalid-params"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Permission Error
{
  "success": false,
  "error": "Editing settings is not allowed [error-action-not-allowed]",
  "errorType": "error-action-not-allowed",
  "details": {
    "method": "saveSettings",
    "settingIds": [
      "API_Allow_Infinite_Count",
      "API_CORS_Origin"
    ]
  }
}
Expand All
object
success
boolean
error
string
errorType
string
details
object
method
string
settingIds
Array of string
string